<mat-stepper [linear]="false" #stepper>
    <mat-step>
      <ng-template matStepLabel>Início</ng-template>
      <app-cpf-validation></app-cpf-validation>
    </mat-step>
    <mat-step label="Documentos">
      <p>Documentos</p>
      <div>
        <button mat-button matStepperPrevious>Back</button>
        <button mat-button matStepperNext>Next</button>
      </div>
    </mat-step>
    <mat-step>
      <ng-template matStepLabel>Dados Cadastrais</ng-template>
      <p>Dados Cadastrais</p>
      <div>
        <button mat-button matStepperPrevious>Back</button>
        <button mat-button (click)="stepper.reset()">Reset</button>
      </div>
    </mat-step>
    <mat-step>
      <ng-template matStepLabel>Admissão</ng-template>
      <p>Finalizado!</p>
      <div>
        <button mat-button matStepperPrevious>Back</button>
        <button mat-button (click)="stepper.reset()">Reset</button>
      </div>
    </mat-step>
</mat-stepper>
